#!/usr/bin/env bash

CONFIG_PATH="`dirname $0`" || exit 1
if [ ! -z "$4" ]; then
	BRANCH="$4"
else
	BRANCH="$1"
fi

if [ -z "$NO_32BIT" ]; then
	cp -f "$CONFIG_PATH/Wine-i386.yaml" "$CONFIG_PATH/tmp-i386.yaml" &&
	sed -i -e "s/WINE_VERSION/$1/" "$CONFIG_PATH/tmp-i386.yaml" &&
	sed -i -e "s/WINE_BRANCH/$BRANCH/" "$CONFIG_PATH/tmp-i386.yaml" || exit 2

	if [ -z $3 ]; then
		flatpak-builder $2 --arch=i386 build32 "$CONFIG_PATH/tmp-i386.yaml" || exit 2
	else
		flatpak-builder $2 --arch=i386 --gpg-sign=winebarrels@marko10-000.de "--repo=$3" build32 "$CONFIG_PATH/tmp-i386.yaml" || exit 2
	fi
fi

if [ -z "$NO_64BIT" ]; then
	cp -f "$CONFIG_PATH/Wine-x86_64.yaml" "$CONFIG_PATH/tmp-x86_64.yaml" &&
	sed -i -e "s/WINE_VERSION/$1/" "$CONFIG_PATH/tmp-x86_64.yaml" &&
	sed -i -e "s/WINE_BRANCH/$BRANCH/" "$CONFIG_PATH/tmp-x86_64.yaml" || exit 3

	if [ -z $3 ]; then
		flatpak-builder $2 --arch=x86_64 build64 "$CONFIG_PATH/tmp-x86_64.yaml" || exit 3
	else
		flatpak-builder $2 --arch=x86_64 --gpg-sign=winebarrels@marko10-000.de "--repo=$3" build64 "$CONFIG_PATH/tmp-x86_64.yaml" || exit 3
	fi
fi
